Subject: Re: [bug#75402] [PATCH 0/3] Assorted kexec fixes

From: Tomas Volf <[email-masked]>
Date: Tue, 07 Jan 2025 11:41:43 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Here’s a bunch of kexec-related fixes for bugs that have been reported
> over the past week.
>
> I checked the ‘kexec_file_load’ binding on i686 and aarch64 this time:
> it’s definitely missing on i686, and alright on aarch64.
>
> I’d like to commit it within a couple of days at most.  Feedback
> welcome!

While I am hardly an expert here, the changes look reasonable.  One
feature request though.  I think it would be nice to get --no-kexec for
guix-deploy as well :)

>
> Ludo’.
>
> Ludovic Courtès (3):
>   reconfigure: Do not pass KEXEC_FILE_DEBUG.
>   syscalls: Remove wrong syscall ID for ‘kexec_load_file’ on i686.
>   reconfigure: Make ‘load-system-for-kexec’ errors non-fatal.
>
>  guix/build/syscalls.scm             |  6 ++---
>  guix/scripts/system/reconfigure.scm | 38 +++++++++++++++++++++++------
>  tests/syscalls.scm                  |  8 +++---
>  3 files changed, 38 insertions(+), 14 deletions(-)
>
>
> base-commit: 6cb47c374469f7c26775520540e1ed79a8bff674

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.